Skip to main content
PUT
/
utils
/
{resource_type}
/
{resource_uri}
/
fk-edges
Bulk upsert FK edges
curl --request PUT \
  --url https://api.example.com/utils/{resource_type}/{resource_uri}/fk-edges \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Project-ID: <x-project-id>' \
  --data '
{
  "edges": [
    {
      "from_table_fqn": "<string>",
      "from_column": "<string>",
      "to_table_fqn": "<string>",
      "to_column": "<string>"
    }
  ]
}
'
{
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string
required

Path Parameters

resource_type
string
required
resource_uri
string
required

Body

application/json

Request to bulk upsert FK edges.

edges
FkEdgeCreateRequest · object[]
required

FK edges to upsert (max 1000)

Required array length: 1 - 1000 elements

Response

Successful Response

Response for bulk FK edge upsert.

total
integer
required

Total edges upserted